Bug 1271545 - unable to peer nodes,without flushing iptables. Getting error "Probe returned with Transport endpoint is not connected"
unable to peer nodes,without flushing iptables. Getting error "Probe returned...
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.5
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 05:18 EDT by nchilaka
Modified: 2015-11-04 01:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 01:17:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nchilaka 2015-10-14 05:18:53 EDT
If I try to peer probe another gluster node, "I am getting Probe returned with Transport endpoint is not connected" error.
Only when i flush iptables using iptables -F  on both the nodes, I am able to peer nodes.



[root@dhcp37-165 ~]# rpm -qa|grep gluster
glusterfs-libs-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-client-xlators-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-extra-xlators-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-server-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-api-devel-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-debuginfo-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-api-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-cli-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-fuse-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
python-gluster-3.7.5-0.19.git0f5c3e8.el7.centos.noarch
glusterfs-devel-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
glusterfs-geo-replication-3.7.5-0.19.git0f5c3e8.el7.centos.x86_64
[root@dhcp37-165 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.2 Beta (Maipo)
[root@dhcp37-165 ~]# sestatus
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   enforcing
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Max kernel policy version:      28
[root@dhcp37-165 ~]#
Comment 1 Anand Nekkunti 2015-10-14 14:10:47 EDT
This is expected behavior , you need to provide proper iptable rules or flush iptable rules.
Comment 2 Soumya Koduri 2015-11-03 08:59:02 EST
Anand,

Could you please close the bug in case if this is expected behaviour.
Comment 3 Anand Nekkunti 2015-11-04 01:17:46 EST
This is expected behavior , you need to provide proper iptable rules or flush iptable rules for <=3.7.5 release  and firewall service file is available from next release 3.7.6, you can attach this service file(glusterfs.xml)  to your active zone to open ports which are required for glusterfs, 

[1]https://bugzilla.redhat.com/show_bug.cgi?id=1057295
[2] http://review.gluster.org/#/c/12357/

Note You need to log in before you can comment on or make changes to this bug.